Subject: Re: linux-next: manual merge of the usb tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 16 Jul 2008 17:45:25 +1000

Hi Jaswinder,

On Wed, 16 Jul 2008 12:50:08 +0530 Jaswinder Singh <[email-masked]> wrote:
>
> On Wed, 2008-07-16 at 17:13 +1000, Stephen Rothwell wrote:
> 
> > What needs to happen is that Alan's patch needs to be redone based on
> > Linus' tree of today.
> > 
> 
> My patch is smaller and simpler as compare to Alan patch.

However, your patch is already in Linus' tree and Greg's problem is
getting his tree (which contains Alan's patch) into Linus' tree.

> So can we follow this approach for linux-next tree:-
> 
> 1. Remove my patch from Linus tree
> 2. Apply Alan patch first
> 3. Then I will give you firmware patch based upon yesterday tree which I
> installed here :-
> http://git.infradead.org/users/jaswinder/linux-next.git
> 4. Then you apply firmware patch

This is a lot more work for me (and I have limited time) and Alan's patch
still needs to be redone before it is merged into Linus' tree ...

The linus-next tree is not and end unto itself, it is merely a way to see
how things will end up in Linus' tree.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/